Update Music Finetune

Update a music finetune.

Path parameters

finetune_idstringRequired

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
namestring or nullOptional5-200 characters
Updated name for the finetune.
tagslist of strings or nullOptional
Replacement set of tags.
primary_genrestring or nullOptional
Updated primary musical genre.
visibilityenum or nullOptional
Finetune visibility. Only 'private' and 'workspace' can be set.

Response

Successful Response
idstring
Unique identifier of the finetune.
namestring
Name of the finetune.
tagslist of strings
Tags associated with the finetune.
model_idstring
The base music model the finetune was trained on.
created_atstringformat: "date-time"

When the finetune was created (UTC).

visibilityenum

Who can access this finetune: private (only you), workspace (members of your workspace), public (ElevenLabs-curated, available to everyone).

created_byenum

Who created the finetune: self, workspace, or elevenlabs.

statusenum

Training lifecycle status: pending, in_progress, completed, failed, and blocked.

training_progressdouble
Training progress from 0.0 to 1.0.
primary_genrestring or null
Primary musical genre of the finetune.
failure_reasonenum or null
Reason the finetune failed or was blocked, if applicable.

Errors

403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error